#include "Arduino.h"

class Totmann
{
    private:
        const int totmannPin = 11;
        unsigned long totmannzeit = 1000;        
        unsigned long previousMillisSerial;
        unsigned long previousMillisButton;
        int buttonState = 0;        
    public:
        Totmann(long totmannzeit)
        {
            this->totmannzeit = totmannzeit;
        }
        
        void start()
        {
            previousMillisButton = millis();
            previousMillisSerial = millis();            
        }
        
        void auffrischenButton()
        {
            buttonState= digitalRead(totmannPin); // Knopf auslesen
            if(buttonState == HIGH)
            {
                previousMillisButton = millis(); 
            }                    
        }
        void auffrischenSerial()
        {
            previousMillisSerial = millis();            
        }
        
        bool buttonOK()
        {
            if((millis()-previousMillisButton)>totmannzeit)
            {
                return false;
            }          
            else
            {
                return true;
            }
        }
        bool serialOK()
        {
            if((millis()-previousMillisSerial)>totmannzeit)
            {
                return false;
            }          
            else
            {
                return true;
            }
        }
};
